%define upstream_name    rpm-build-perl
%define upstream_version 0.82


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Perl compiler backend to extract Perl dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz
# Fedora patches:
# Perl 5.18 compatibility, CPAN RT#85411
Patch0:     rpm-build-perl-0.82-Fix-non-deterministic-failures-on-newer-perls.patch
# Perl 5.22 compatibility, bug #1231258, CPAN RT#104885
Patch1:     rpm-build-perl-0.82-Adjust-to-perl-5.22.patch
# Perl 5.26 compatibility, CPAN RT#117350
Patch2:     rpm-build-perl-0.82-Port-to-OpSIBLING-like-macros-required-since-Perl-5..patch

BuildRequires: perl(B)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(O)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl-devel

%{?perl_default_filter}
# Do not export private modules
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(fake\\)

%description
B::PerlReq is a back-end module for the Perl compiler that extracts
dependencies from Perl source code, based on the internal compiled
structure that Perl itself creates after parsing a program. The output of
B::PerlReq is suitable for automatic dependency tracking (e.g. for RPM
packaging).

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorarch}/*
%{_bindir}/perl.*


%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.820.0-23.mga8
+ Revision: 1595662
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.820.0-22.mga8
+ Revision: 1534834
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.820.0-21.mga8
+ Revision: 1450138
- Do not export private modules

* Tue Aug 27 2019 tmb <tmb> 0.820.0-20.mga8
+ Revision: 1433888
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.820.0-19.mga7
+ Revision: 1294087
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.820.0-18.mga7
+ Revision: 1250369
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.820.0-17.mga7
+ Revision: 1166408
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.820.0-16.mga7
+ Revision: 1149126
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.820.0-15.mga7
+ Revision: 1130047
- Fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.820.0-14.mga6
+ Revision: 1032970
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.820.0-13.mga6
+ Revision: 957947
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.820.0-12.mga6
+ Revision: 845200
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.820.0-11.mga6
+ Revision: 840489
- Fix build with perl 5.22 (patch from Fedora)

* Wed Oct 15 2014 umeabot <umeabot> 0.820.0-10.mga5
+ Revision: 747980
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.820.0-9.mga5
+ Revision: 687059
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.820.0-8.mga5
+ Revision: 631939
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.820.0-7.mga4
+ Revision: 525604
- Mageia 4 Mass Rebuild

* Fri May 31 2013 jquelin <jquelin> 0.820.0-6.mga4
+ Revision: 433756
- fix perl 5.18 hash rand (rt#85411, patch from debian)
- fix perl 5.18 hash rand (rt#85411, patch from debian)
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.820.0-2.mga3
+ Revision: 375553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.820.0-1.mga3
+ Revision: 302378
- adding missing buildrequires:
- package needs perl-devel
- update to 0.82

* Thu Dec 08 2011 kharec <kharec> 0.800.0-1.mga2
+ Revision: 179064
- Add a BR on Try::Tiny
- update to 0.80

* Mon Nov 14 2011 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 167628
- update to 0.78
+ spuhler <spuhler>
- increase rel for rebuild
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.740.0-1.mga1
+ Revision: 60591
- update to 0.74

* Sat Jan 22 2011 jquelin <jquelin> 0.720.0-1.mga1
+ Revision: 32568
- mageia rebuild
- imported package perl-rpm-build-perl


* Tue Apr 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 536958
- update to 0.72

* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.710.0-1mdv2010.0
+ Revision: 450063
- update to 0.71

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2010.0
+ Revision: 404358
- rebuild using %%perl_convert_version

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70-1mdv2010.0
+ Revision: 374549
- update to new version 0.70

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-2mdv2009.0
+ Revision: 268955
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.8-1mdv2009.0
+ Revision: 213761
- import perl-rpm-build-perl


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.8-1mdv2009.0
- first mdv release
